# -*- coding: utf-8 -*-

from djadmin import ExportExcelModelAdmin, ReadonlyModelAdmin
from django.contrib import admin

from tamron.models import TamronNavInfo, TamronRegisterInfo, TamronSliderInfo, TamronUserInfo


class TamronSliderInfoAdmin(admin.ModelAdmin):
    list_display = ('fid', 'pic', 'url', 'px')
    list_filter = ('fid', )


class TamronNavInfoAdmin(admin.ModelAdmin):
    list_display = ('lanmu', 'pic', 'url', 'px')
    list_filter = ('lanmu', )


class TamronRegisterInfoAdmin(admin.ModelAdmin):
    list_display = ('fid', 'title', 'px')
    list_filter = ('fid', )


class TamronUserInfoAdmin(admin.ModelAdmin):
    list_display = ('user', 'sex', 'zhiwei', 'tel', 'email', 'pinpai', 'xinghao', 'gzleixing', 'gxtedian')
    list_filter = ('sex', )


admin.site.register(TamronSliderInfo, TamronSliderInfoAdmin)
admin.site.register(TamronNavInfo, TamronNavInfoAdmin)
admin.site.register(TamronRegisterInfo, TamronRegisterInfoAdmin)
admin.site.register(TamronUserInfo, TamronUserInfoAdmin)
